Bug 1185134 - Placeholder text in server config ToU field valid, but rejected
Placeholder text in server config ToU field valid, but rejected
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity high
: ---
: 3.6
Assigned To: Alex Eng
Damian Jansen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-22 23:15 EST by Damian Jansen
Modified: 2015-03-19 03:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.6.0-snapshot
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-03-19 03:10:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damian Jansen 2015-01-22 23:15:00 EST
Description of problem:
The placeholder text for the server config ToU is http://zanata.org/terms - entering this as a url (assumedly) rejects it as a placeholder and doesn't save it.
This is the actual url for zanata.org's terms of use, so it will be a problem for the site on upgrade.

Version-Release number of selected component (if applicable):
3.6-snapshot

How reproducible:
Easy always

Steps to Reproduce:
1. Sign in as admin
2. Go to menu->administration->server configuration
3. Enter http://zanata.org/terms as the Terms of Use url (same as placeholder)
4. Press Save

Actual results:
Url not saved, ToU link does not show on register page

Expected results:
Url saved, link shows

Additional info:
Comment 1 Alex Eng 2015-01-27 18:30:32 EST
Pull request:
https://github.com/zanata/zanata-server/pull/675
Comment 3 Damian Jansen 2015-01-28 01:00:01 EST
Verified merge (release, master) at 4be04f5e536047adfa7f5434b0916804b7bcf92d

Note You need to log in before you can comment on or make changes to this bug.